> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get all scheduled actions of an entry

GET https://api.contentful.com/spaces/{space_id}/scheduled_actions

Returns scheduled actions for the space, cursor-paginated (default page 100, max 1000). Filter by `environment.sys.id` (required), `entity.sys.id`, `sys.status`, and `scheduledFor.datetime`.

Reference: https://contentful.com/developers/docs/references/content-management-api/scheduled-actions/get-all-scheduled-actions-of-an-entry

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the space in form of a string

### Query parameters

- `entity.sys.id` (string, optional) — ID of the entry in form of a string
- `environment.sys.id` (string, optional) — ID of the environment in form of a string

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "items": [],
  "limit": 100,
  "pages": {
    "next": "",
    "prev": ""
  },
  "sys": {
    "type": "Array"
  }
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client.getSpace('<space_id>')
.then((space) => space.getScheduledActions({
    'environment.sys.id': '<environment_id>',
    'sys.status': 'scheduled'
}))
.then((scheduledActionCollection) => console.log(scheduledActionCollection.items))
.catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

client.scheduledActions.getMany({
    spaceId: '<space_id>',
    query: {
        'environment.sys.id': '<environment_id>',
        'sys.status[in]': 'scheduled',
    },
});
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```